package com.hzya.frame.sys.appParameter.dao;

import com.hzya.frame.sys.appParameter.entity.SysAppParameter;
import com.hzya.frame.sys.productVersion.entity.SysProductVersion;

import java.util.List;


/**
 * @description: 应用参数表  dao
 * @tableName: sys_app_parameter
 * @entityName: SysAppParameter
 * @author: llg
 * @history:1.0
 */
public interface ISysAppParameterMapper {
        //通过ID获取数据    entity_get
        SysAppParameter entity_get(Integer id);

        //查询 采用==查询   entity_list_base
        List<SysAppParameter> entity_list_base(SysAppParameter SysAppParameter);

        //分页查询列表 采用like格式 entity_list_like
        List<SysAppParameter> entity_list_like(SysAppParameter SysAppParameter);

        //查询列表 字段采用or格式   entity_list_or
        List<SysAppParameter> entity_list_or(SysAppParameter SysAppParameter);

        //新增  entity_insert
        SysAppParameter entity_insert(SysAppParameter SysAppParameter);

        //修改  entity_update
        Integer entity_update(SysAppParameter SysAppParameter);

        //物理删除    entity_delete
        Integer entity_delete(SysAppParameter SysAppParameter);

        //物理删除    logicDelete_Multi_Condition
        Integer logicDelete_Multi_Condition(SysAppParameter sysAppParameter);

}
